<?php $options = get_option('dotmag'); ?>
<?php get_header(); ?>
<div id="page">
	<div class="content">
		<article class="article">
		<h1 class="postsby">
			<?php if (is_category()) { ?>
							<span><?php single_cat_title(); ?><?php _e(" Archive", "mythemeshop"); ?></span>
			<?php } elseif (is_tag()) { ?> 
							<span><?php single_tag_title(); ?><?php _e(" Archive", "mythemeshop"); ?></span>
			<?php } elseif (is_search()) { ?> 
							<span><?php _e("Search Results for:", "mythemeshop"); ?></span> <?php the_search_query(); ?>
			<?php } elseif (is_author()) { ?>
							<span><?php _e("Author Archive", "mythemeshop"); ?></span> 
			<?php } elseif (is_day()) { ?>
							<span><?php _e("Daily Archive:", "mythemeshop"); ?></span> <?php the_time('l, F j, Y'); ?>
			<?php } elseif (is_month()) { ?>
							<span><?php _e("Monthly Archive:", "mythemeshop"); ?>:</span> <?php the_time('F Y'); ?>
			<?php } elseif (is_year()) { ?>
							<span><?php _e("Yearly Archive:", "mythemeshop"); ?>:</span> <?php the_time('Y'); ?>
			<?php } ?>
		</h1>
					<?php 
					$j=1;
                    if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <div class="content_box_out <?php if($j % 2 == 0){ echo 'content_box_out_no_border';}?>">
                        <div class="content_box_in <?php if($j % 2 == 0){ echo 'content_box_in_no_border'; }?>">
                        <div class="content_align">
						<div class="post excerpt">
                        <div class="headerCategory">
                        <?php $category = get_the_category(); echo '<span>'.$category[0]->cat_name.'</span>';?>
                        </div>
                                                <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow" id="featured-thumbnail">
                                                    <?php if ( has_post_thumbnail() ) { ?> 
                                                    <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail('featured',array('title' => '')); echo '</div>'; ?>
                                                    <?php } else { ?>
                                                    <div class="featured-thumbnail">
                                                    <img width="300" height="165" src="<?php echo get_template_directory_uri(); ?>/images/nothumb.png" class="attachment-featured wp-post-image" alt="<?php the_title(); ?>">
                                                    </div>
                                                    <?php } ?>
                                                </a>
                                                <header>
                                                    <h2 class="title">
                                                            <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a>
                                                    </h2> 
                                                </header><!--.header-->
                                                <div class="post-container">
                                                <?php if($options['mts_headline_meta'] == '1') { ?>
                                                    <div class="post-info">
                                                            <?php _e('By ','mythemeshop'); the_author_posts_link(); ?> <?php _e('On ','mythemeshop'); the_time('F j, Y'); ?> <?php _e('In ','mythemeshop'); $category = get_the_category(); echo '<a href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a>';?>
                                                    </div>
                                                <?php } ?>
                                                    <div class="post-content image-caption-format-1">
                                                            <?php echo excerpt(20);?>
                                                    </div>
                                                    <div class="readMore"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php _e('More','mythemeshop'); ?></a></div>
                                                </div>    
                                                </div><!--.post excerpt-->
                                                </div>
                                                </div>
                                                </div>
                                                
					<?php $j++;  endwhile; else: ?>
						<div class="post excerpt">
							<div class="no-results">
								<p><strong><?php _e('There has been an error.', 'mythemeshop'); ?></strong></p>
								<p><?php _e('We apologize for any inconvenience, please hit back on your browser or use the search form below.', 'mythemeshop'); ?></p>
								<?php get_search_form(); ?>
							</div><!--noResults-->

					<?php endif; ?>

<?php if ($options['mts_pagenavigation'] == '1') { ?>
<?php pagination();?>
<?php } else { ?>
<div class="pnavigation2">
<div class="nav-previous"><?php next_posts_link( __( '&larr; '.'Older posts', 'mythemeshop' ) ); ?></div>
<div class="nav-next"><?php previous_posts_link( __( 'Newer posts'.' &rarr;', 'mythemeshop' ) ); ?></div>
</div>
<?php } ?>
</article>
<?php get_sidebar(); ?>
<?php get_footer(); ?>